#!/usr/local/bin/perl -w

=head1 NAME

00rev.t - testing of VCP::Rev services

=cut

use strict ;

use Carp ;
use Test ;
use VCP::Rev ;

## TODO: Add lots of tests to 00rev.t

my $r ;

my @tests = (
sub { $r = VCP::Rev->new() ; ok( ref $r, "VCP::Rev" ) },

sub { ok( ! $r->labels, ! 0 ) },

sub {
   $r->add_label( "l1" ) ;
   ok( join( ",", $r->labels ), "l1" ) ;
},

sub {
   $r->add_label( "l2", "l3" ) ;
   ok( join( ",", $r->labels ), "l1,l2,l3" ) ;
},

sub {
   $r->add_label( "l2", "l3" ) ;
   ok( join( ",", $r->labels ), "l1,l2,l3" ) ;
},

sub {
   $r->labels( "l4", "l5" ) ;
   ok( join( ",", $r->labels ), "l4,l5" ) ;
},

sub {
   $r->name( "foo" );
   $r->rev_id( "1" );
   ok $r->uid, "foo#1()";
},

sub {
   $r->branch_id( "bar" );
   ok $r->uid, "foo#1(bar)";
},

sub {
   $r->base_version( { name => "phoo", rev_id => "0", branch_id => "baz" } );
   ok $r->base_version_uid, "phoo#0(baz)";
},

) ;

plan tests => scalar( @tests ) ;

$_->() for @tests ;
